Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.encryption
Class PublicKeyRecipient

    java.lang.Object
      org.pdfbox.pdmodel.encryption.PublicKeyRecipient

public class PublicKeyRecipient
extends Object

Represents a recipient in the public key protection policy.

Version:
  $Revision: 1.2 $
Author:
  Benoit Guillon (benoit.guillon@snv.jussieu.fr)
See Also:
  `PublicKeyProtectionPolicy`

Constructor Summary
`PublicKeyRecipient()`

Method Summary
`AccessPermission` | `getPermission()` Returns the access permission granted to the recipient.
`X509Certificate` | `getX509()` Returns the X509 certificate of the recipient.
`void` | `setPermission(AccessPermission permissions)` Set the access permission granted to the recipient.
`void` | `setX509(X509Certificate aX509)` Set the X509 certificate of the recipient.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicKeyRecipient

    public PublicKeyRecipient()

Method Detail

### getX509

    public X509Certificate getX509()

  Returns the X509 certificate of the recipient.

  Returns:
    The X509 certificate

### setX509

    public void setX509(X509Certificate aX509)

  Set the X509 certificate of the recipient.

  Parameters:
    `aX509` - The X509 certificate

### getPermission

    public AccessPermission getPermission()

  Returns the access permission granted to the recipient.

  Returns:
    The access permission object.

### setPermission

    public void setPermission(AccessPermission permissions)

  Set the access permission granted to the recipient.

  Parameters:
    `permissions` - The permission to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD